<?php
// OneThird CMS
// coyright(c) team1/3 All Rights Reserved.
// http://onethird.net/
	if (is_file('config.php')) {
		header("Location:https://x-sys.net/onethird/r_install_error");
	}

	$delete_ok = false;
	$f = basename(__FILE__);
	if ($f == 'index.php') {
		$f = dirname(__FILE__).DIRECTORY_SEPARATOR.'_index_tmp.php';
		if (@copy(__FILE__,$f)) {
			if (@unlink(__FILE__)) {
				if (@copy($f,__FILE__)) {
					if (@unlink($f)) {
						$delete_ok = true;
					}
				}
			}
		}
	}

?>
<!DOCTYPE html>
<html lang="ja">
	<head>
	<meta charset="utf-8">
	<title>Install OneThird-CMS</title>
	<style>
		.ng {
			font-weight:bold;
			color:red;
		}
		p {
			line-height:100%;
		}
	</style>
	</head>
	<body>
	<h1>OneThird CMS Online Installer v1.02</h1>
<?php
	if (!isset($_POST['mode']) || $_POST['mode']!='update_1') {
		$f = __FILE__;
		$ok = true;
		if (!$delete_ok) {
			$ok = false;
			$x = basename($f);
echo <<<EOT
			<p>- $x writable check ... <span class='ng'>NG</span> </p>
EOT;
		}
		if ($ok) {
echo <<<EOT
			<form method='post' action='{$_SERVER['REQUEST_URI']}' class='onethird-setting' >
				<input type='hidden' name='mode' value='update_1' />
				<input type='submit' value='Start Download OneThird CMS' style='padding:20px;' />
			</form>
EOT;
		} else {
echo <<<EOT
			<div style='padding:20px;font-size:bold;font-size:150%'>Install error, Please check permission. </div>
EOT;
		}
	} else {
	
		function r_install() {
			if (!class_exists('ZipArchive')) {
echo <<<EOT
				ZIP support error<br>
EOT;
				return;
			}
			
			$dir = dirname(__FILE__);
			if (!is_writable($dir)) {
echo <<<EOT
				file permission error<br>
EOT;
				return;
			}

			$onethird = $dir.DIRECTORY_SEPARATOR."onethird.zip";
			if (!is_file($onethird)) {
echo <<<EOT
				file download start. <br>
EOT;
				// ロケール判定
				$lang = get_locale_str();
				$body = @file_get_contents("http://onethird.net/onethird_latest_version.php?lang=$lang");
				if ($body) {
					echo("file download end. <br>");
					if (!@file_put_contents($onethird,$body)) {
echo <<<EOT
						file save error. ($onethird)<br>
EOT;
						return;
					}
echo <<<EOT
					file : $onethird <br>
EOT;
				} else {
echo <<<EOT
					file download error. <br>
EOT;
				}
			}
			
			$zip = new ZipArchive;
			if ($zip->open($onethird) !== true) {
echo <<<EOT
				ZIP open error.<br>
EOT;
				return;
			}
			
			if (!@$zip->extractTo('.')) {
echo <<<EOT
				ZIP extract error.<br>
EOT;
				return;
			}
			$zip->close();

			if (!@unlink($onethird)) {
echo <<<EOT
				Delete error {$onethird}.<br>
EOT;
			}
			echo ("<input type='button' value='Install OneThird CMS' style='margin-top:30px;padding:20px;font-size:150%;' onclick='location.href=\"install.php\"' />");
		}
		r_install();
	}

function get_locale_str()
{
	$lang = 'en';
	$languages = explode(',', $_SERVER['HTTP_ACCEPT_LANGUAGE']);
	$languages = array_reverse($languages);
	foreach ($languages as $language) {
		if (preg_match('/^ja/i', $language)) {
			$lang = 'ja';
			break;
		}
	}
	return $lang;
}

?>
	</body>
</html>
